<?php
/*
 * Copyright 2014 Osclass
 * Copyright 2023 Osclass by OsclassPoint.com
 *
 * Osclass maintained & developed by OsclassPoint.com
 * You may not use this file except in compliance with the License.
 * You may download copy of Osclass at
 *
 *     https://osclass-classifieds.com/download
 *
 * Do not edit or add to this file if you wish to upgrade Osclass to newer
 * versions in the future. Software is distributed on an "AS IS" basis, without
 * warranties or conditions of any kind, either express or implied. Do not remove
 * this NOTICE section as it contains license information and copyrights.
 */


$mimes = array(	
  'hqx'	=> 'application/mac-binhex40',
  'cpt'	=> 'application/mac-compactpro',
  'csv'	=>	array('text/x-comma-separated-values', 'text/comma-separated-values', 'application/octet-stream', 'application/vnd.ms-excel', 'text/x-csv', 'text/csv', 'application/csv', 'application/excel', 'application/vnd.msexcel'),
  'bin'	=> 'application/macbinary',
  'dms'	=> 'application/octet-stream',
  'lha'	=> 'application/octet-stream',
  'lzh'	=> 'application/octet-stream',
  'exe'	=>	array('application/octet-stream', 'application/x-msdownload'),
  'class'	=> 'application/octet-stream',
  'psd'	=> 'application/x-photoshop',
  'so'	=> 'application/octet-stream',
  'sea'	=> 'application/octet-stream',
  'dll'	=> 'application/octet-stream',
  'oda'	=> 'application/oda',
  'pdf'	=>	array('application/pdf', 'application/x-download'),
  'ai'	=> 'application/postscript',
  'eps'	=> 'application/postscript',
  'ps'	=> 'application/postscript',
  'smi'	=> 'application/smil',
  'smil'	=> 'application/smil',
  'mif'	=> 'application/vnd.mif',
  'xls'	=>	array('application/excel', 'application/vnd.ms-excel', 'application/msexcel'),
  'ppt'	=>	array('application/powerpoint', 'application/vnd.ms-powerpoint'),
  'wbxml'	=> 'application/wbxml',
  'wmlc'	=> 'application/wmlc',
  'dcr'	=> 'application/x-director',
  'dir'	=> 'application/x-director',
  'dxr'	=> 'application/x-director',
  'dvi'	=> 'application/x-dvi',
  'gtar'	=> 'application/x-gtar',
  'gz'	=> 'application/x-gzip',
  'php'	=> 'application/x-httpd-php',
  'php4'	=> 'application/x-httpd-php',
  'php3'	=> 'application/x-httpd-php',
  'phtml'	=> 'application/x-httpd-php',
  'phps'	=> 'application/x-httpd-php-source',
  'js'	=> 'application/x-javascript',
  'swf'	=> 'application/x-shockwave-flash',
  'sit'	=> 'application/x-stuffit',
  'tar'	=> 'application/x-tar',
  'rar'	=> 'application/x-rar',
  'tgz'	=>	array('application/x-tar', 'application/x-gzip-compressed'),
  'xhtml'	=> 'application/xhtml+xml',
  'xht'	=> 'application/xhtml+xml',
  'zip'	=>  array('application/x-zip', 'application/zip', 'application/x-zip-compressed'),
  'mid'	=> 'audio/midi',
  'midi'	=> 'audio/midi',
  'mpga'	=> 'audio/mpeg',
  'mp2'	=> 'audio/mpeg',
  'mp3'	=>	array('audio/mpeg', 'audio/mpg', 'audio/mpeg3', 'audio/mp3'),
  'aif'	=> 'audio/x-aiff',
  'aiff'	=> 'audio/x-aiff',
  'aifc'	=> 'audio/x-aiff',
  'ram'	=> 'audio/x-pn-realaudio',
  'rm'	=> 'audio/x-pn-realaudio',
  'rpm'	=> 'audio/x-pn-realaudio-plugin',
  'ra'	=> 'audio/x-realaudio',
  'rv'	=> 'video/vnd.rn-realvideo',
  'wav'	=> 'audio/x-wav',
  'bmp'	=> 'image/bmp',
  'gif'	=> 'image/gif',
  'jpeg'	=>	array('image/jpeg', 'image/pjpeg'),
  'jpg'	=>	array('image/jpeg', 'image/pjpeg'),
  'jpe'	=>	array('image/jpeg', 'image/pjpeg'),
  'png'	=>	array('image/png',  'image/x-png'),
  'tiff'	=> 'image/tiff',
  'tif'	=> 'image/tiff',
  'css'	=> 'text/css',
  'html'	=> 'text/html',
  'htm'	=> 'text/html',
  'shtml'	=> 'text/html',
  'txt'	=> 'text/plain',
  'text'	=> 'text/plain',
  'log'	=>	array('text/plain', 'text/x-log'),
  'rtx'	=> 'text/richtext',
  'rtf'	=> 'text/rtf',
  'xml'	=> 'text/xml',
  'xsl'	=> 'text/xml',
  'mpeg'	=> 'video/mpeg',
  'mpg'	=> 'video/mpeg',
  'mpe'	=> 'video/mpeg',
  'qt'	=> 'video/quicktime',
  'mov'	=> 'video/quicktime',
  'avi'	=> 'video/x-msvideo',
  'movie'	=> 'video/x-sgi-movie',
  'doc'	=> 'application/msword',
  'docx'	=> 'application/vnd.openxmlformats-officedocument.wordprocessingml.document',
  'xlsx'	=> 'application/vnd.openxmlformats-officedocument.spreadsheetml.sheet',
  'word'	=>	array('application/msword', 'application/octet-stream'),
  'xl'	=> 'application/excel',
  'eml'	=> 'message/rfc822',
  'json'  => array('application/json', 'text/json'),
  'odt'   =>  'application/vnd.oasis.opendocument.text',
  'ods'   =>  'application/vnd.oasis.opendocument.spreadsheet',
  'odp'   =>  'application/vnd.oasis.opendocument.presentation',
  'odg'   =>  'application/vnd.oasis.opendocument.graphics',
  'odc'   =>  'application/vnd.oasis.opendocument.chart',
  'odf'   =>  'application/vnd.oasis.opendocument.formula',
  'odb'   =>  'application/vnd.oasis.opendocument.database',
  'odi'   =>  'application/vnd.oasis.opendocument.image',
  'odm'   =>  'application/vnd.oasis.opendocument.text-master',
  'ott'   =>  'application/vnd.oasis.opendocument.text-template',
  'ots'   =>  'application/vnd.oasis.opendocument.spreadsheet-template',
  'otp'   =>  'application/vnd.oasis.opendocument.presentation-template',
  'otg'   =>  'application/vnd.oasis.opendocument.graphics-templte'
);